﻿using System;
using System.Web.Mvc;
using System.Web.Routing;
using GamesStore.Web.Controllers;
using GamesStore.Web.DataProviders;

namespace GamesStore.Web
{
    public class GamesControllerActivator : IControllerActivator
    {
        public IController Create(RequestContext requestContext, Type controllerType)
        {
            IController controller;

            try
            {
                controller = (IController)DependencyResolver.Current.GetService(controllerType);
            }
            catch (Exception ex)
            {
                throw new InvalidOperationException($"Error creating controller of type {controllerType}", ex);
            }

            var baseGameController = controller as BaseGamesController;
            if (baseGameController != null)
            {
                baseGameController.GamesDataProvider = new GamesDbContext();
            }

            return controller;
        }
    }
}