﻿using System.Web.Mvc;
using System.Web.Mvc.Routing.Constraints;
using System.Web.Routing;

namespace GamesStore.Web
{
    public static class RouteConfig
    {
        public static void RegisterRoutes(RouteCollection routes)
        {
            routes.IgnoreRoute("{resource}.axd/{*pathInfo}");

            routes.MapRoute(
                name: "number",
                url: "Constraint/{number}",
                defaults: new { controller = "Constraint", action = "Number" },
                constraints: new { number = new IntRouteConstraint() }
            );

            routes.MapRoute(
                name: "string",
                url: "Constraint/{string}",
                defaults: new { controller = "Constraint", action = "String" }
            );

            routes.MapRoute(
                name: "LoginRedirect",
                url: "LoginRedirect",
                defaults: new { controller = "Culture", action = "LoginRedirect" }
            );

            routes.MapRoute(
                name: "Root",
                url: "",
                defaults: new { controller = "Games", action = "RedirectToIndex" }
            );

            routes.MapRoute(
                name: "ID",
                url: "{culture}/{controller}/{action}/{id}",
                defaults: null,
                constraints: new { id = new GuidRouteConstraint() }
            );

            routes.MapRoute(
                name: "Default",
                url: "{culture}/{controller}/{action}",
                defaults: new { controller = "Games", action = "Index" }
            );
        }
    }
}
